[all]
logLevel = [[ .llng.engine.log_level ]]
localSessionStorage = Cache::FileCache
localSessionStorageOptions = {        \
  'namespace'          => 'sessions', \
  'default_expires_in' => '60',       \
  'directory_umask'    => '007',      \
  'cache_root'         => '/tmp',     \
  'cache_depth'        => 3           \
}

[[- range $stor := coll.Slice "global" "persistent" "saml" "oidc" "cas" ]]
[[ $stor ]]Storage = Apache::Session::Browseable::PgJSON
[[ $stor ]]StorageOptions = {                                                     \
  'DataSource'     => 'DBI:Pg:',                                                  \
  'TableName'      => '[[ if eq $stor "global" ]][[ else if eq $stor "persistent" ]]p[[ else ]][[ $stor ]][[ end ]]sessions',        \
  'generateModule' => 'Lemonldap::NG::Common::Apache::Session::Generate::SHA256', \
  'Commit'         => 1                                                           \
}

[[- end ]]

notificationStorage = DBI
notificationStorageOptions = {    \
  'dbiChain'  => 'DBI:Pg:',       \
  'dbiTable'  => 'notifications', \
  'type'      => 'CDBI',          \
}

status = 1

[configuration]
useServerEnv        = 1
type                = CDBI
dbiChain            = DBI:Pg:
localStorage        = Cache::FileCache
localStorageOptions = {             \
  'namespace'          => 'config', \
  'default_expires_in' => '60',     \
  'directory_umask'    => '007',    \
  'cache_root'         => '/tmp',   \
  'cache_depth'        => 0         \
}

[manager]
protection     = [[ .llng.manager.protection ]]
enabledModules = conf, sessions, notifications, 2ndFA
staticPrefix   = /static
templateDir    = /usr/share/lemonldap-ng/manager/htdocs/templates
languages      = [[ join .llng.manager.languages ", " ]]

[portal]
staticPrefix                 = /static
templateDir                  = /usr/share/lemonldap-ng/portal/templates
languages                    = [[ join .llng.portal.languages ", " ]]
forceGlobalStorageUpgradeOTT = 1

