{
   "applicationList" : {
      "2administration" : {
         "catname" : "Administration",
         "manager" : {
            "options" : {
               "description" : "Configure LemonLDAP::NG WebSSO",
               "display" : "auto",
               "logo" : "configure.png",
               "name" : "WebSSO Manager",
               "uri" : "[[ .llng.manager.public_url ]]/manager.html"
            },
            "type" : "application"
         },
         "notifications" : {
            "options" : {
               "description" : "Explore WebSSO notifications",
               "display" : "auto",
               "logo" : "database.png",
               "name" : "Notifications Explorer",
               "uri" : "[[ .llng.manager.public_url ]]/notifications.html"
            },
            "type" : "application"
         },
         "sessions" : {
            "options" : {
               "description" : "Explore WebSSO sessions",
               "display" : "auto",
               "logo" : "database.png",
               "name" : "Sessions Explorer",
               "uri" : "[[ .llng.manager.public_url ]]/sessions.html"
            },
            "type" : "application"
         },
         "type" : "category"
      },
      "3documentation" : {
         "catname" : "Documentation",
         "localdoc" : {
            "options" : {
               "description" : "Documentation supplied with LemonLDAP::NG",
               "display" : "on",
               "logo" : "help.png",
               "name" : "Local documentation",
               "uri" : "[[ .llng.manager.public_url ]]/doc/"
            },
            "type" : "application"
         },
         "officialwebsite" : {
            "options" : {
               "description" : "Official LemonLDAP::NG Website",
               "display" : "on",
               "logo" : "network.png",
               "name" : "Official Website",
               "uri" : "https://lemonldap-ng.org/"
            },
            "type" : "application"
         },
         "type" : "category"
      }
   },
   "authentication" : "Demo",
   "cfgAuthor" : "Daniel Berteaud",
   "cfgDate" : "1627287638",
   "cfgNum" : 1,
   "cfgVersion" : "2.18.0",
   "cookieName" : "lemonldap",
   "demoExportedVars" : {
      "cn" : "cn",
      "mail" : "mail",
      "uid" : "uid"
   },
   "domain" : "example.com",
   "exportedHeaders" : {
      "test1.example.com" : {
         "Auth-Groups" : "$groups",
         "Auth-User" : "$uid"
      },
      "test2.example.com" : {
         "Auth-Groups" : "$groups",
         "Auth-User" : "$uid"
      }
   },
   "exportedVars" : {},
   "groups" : {},
   "localSessionStorage" : "Cache::FileCache",
   "localSessionStorageOptions" : {
      "cache_depth" : 3,
      "cache_root" : "/tmp",
      "default_expires_in" : 600,
      "directory_umask" : "007",
      "namespace" : "sessions"
   },
   "globalStorage" : "Apache::Session::Browseable::PgJSON",
   "globalStorageOptions" : {
      "DataSource" : "DBI:Pg:",
      "TableName" : "sessions",
      "generateModule" : "Lemonldap::NG::Common::Apache::Session::Generate::SHA256",
      "Commit" : 1
   },
   "locationRules" : {
      "[[ (urlParse .llng.portal.public_url).Hostname ]]" : {
         "(?#checkUser)^/checkuser" : "inGroup(\"timelords\")",
         "(?#errors)^/lmerror/" : "accept",
         "default" : "accept"
      },
      "[[ (urlParse .llng.manager.public_url).Hostname ]]" : {
         "(?#Configuration)^/(.*?\\.(fcgi|psgi)/)?(manager\\.html|confs|prx/|$)" : "inGroup(\"timelords\")",
         "(?#Notifications)/(.*?\\.(fcgi|psgi)/)?notifications" : "inGroup(\"timelords\") or $uid eq \"rtyler\"",
         "(?#Sessions)/(.*?\\.(fcgi|psgi)/)?sessions" : "inGroup(\"timelords\") or $uid eq \"rtyler\"",
         "default" : "inGroup(\"timelords\") or $uid eq \"rtyler\""
      }
   },
   "loginHistoryEnabled" : 1,
   "macros" : {
      "UA" : "$ENV{HTTP_USER_AGENT}",
      "_whatToTrace" : "$_auth eq 'SAML' ? lc($_user.'@'.$_idpConfKey) : $_auth eq 'OpenIDConnect' ? lc($_user.'@'.$_oidc_OP) : lc($_user)"
   },
   "notification" : 1,
   "oidcServiceIgnoreScopeForClaims" : 1,
   "passwordDB" : "Demo",
   "portal" : "[[ .llng.portal.public_url ]]/",
   "portalSkin" : "bootstrap",
   "portalSkinBackground" : "1280px-Cedar_Breaks_National_Monument_partially.jpg",
   "registerDB" : "Demo",
   "reloadUrls" : {
      "localhost" : "http://localhost:8080/reload"
   },
   "securedCookie" : 0,
   "sessionDataToRemember" : {},
   "timeout" : 72000,
   "userDB" : "Same",
   "whatToTrace" : "_whatToTrace"
}
